compact3
javax.management.relation

## Class InvalidRelationTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.relation.RelationException
        - - javax.management.relation.InvalidRelationTypeException

All Implemented Interfaces:
  Serializable

    public class InvalidRelationTypeException
    extends RelationException

Invalid relation type. This exception is raised when, in a relation type, there is already a relation type with that name, or the same name has been used for two different role infos, or no role info provided, or one null role info provided.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidRelationTypeException()` Default constructor, no message put in exception.
`InvalidRelationTypeException(String message)` Constructor with given message put in exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidRelationTypeException

    public InvalidRelationTypeException()

Default constructor, no message put in exception.

#### InvalidRelationTypeException

    public InvalidRelationTypeException(String message)

Constructor with given message put in exception.

Parameters:
  `message` - the detail message.